Package com.google.android.exoplayer2.source.chunk

## Interface ChunkExtractor.TrackOutputProvider

- All Known Implementing Classes:
    `BaseMediaChunkOutput`
  Enclosing interface:
    ChunkExtractor

      public static interface ChunkExtractor.TrackOutputProvider

  Provides `TrackOutput` instances to be written to during extraction.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TrackOutput` | `track​(int id, @com.google.android.exoplayer2.C.TrackType int type)` | Called to get the `TrackOutput` for a specific track.

- - ### Method Detail

    - #### track

          TrackOutput track​(int id,
                            @com.google.android.exoplayer2.C.TrackType int type)

      Called to get the `TrackOutput` for a specific track.

      The same `TrackOutput` is returned if multiple calls are made with the same `id`.

      Parameters:
        `id` - A track identifier.
        `type` - The `type` of the track.
      Returns:
        The `TrackOutput` for the given track identifier.